import React from 'react'
import PropTypes from 'prop-types'
import RouteTile from './RouteTile'

const OutputPanel = ({url, stops}) => (
  <div>
    <h2>Complete Route</h2>
    <RouteTile url={url} stops={stops}
      noStopsText="Add links to partial routes on the left" />
  </div>
)

OutputPanel.propTypes = {
  url: PropTypes.string.isRequired,
  stops: PropTypes.arrayOf(PropTypes.string).isRequired
}

export default OutputPanel
